Apache Tomcat 6.0.32

## org.apache.catalina.tribes.membership
Class McastServiceImpl.RecoveryThread

    java.lang.Object
      java.lang.Thread
          org.apache.catalina.tribes.membership.McastServiceImpl.RecoveryThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  McastServiceImpl

    protected static class McastServiceImpl.RecoveryThread

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`McastServiceImpl.RecoveryThread(McastServiceImpl parent)`

Method Summary
`static boolean` `init(McastServiceImpl.RecoveryThread t)`
`void` `run()`
`boolean` `startService()`
`boolean` `stopService()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### McastServiceImpl.RecoveryThread

    public McastServiceImpl.RecoveryThread(McastServiceImpl parent)

Method Detail

### init

    public static boolean init(McastServiceImpl.RecoveryThread t)

### stopService

    public boolean stopService()

### startService

    public boolean startService()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

Apache Tomcat 6.0.32

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.